init			
			
			movlw		init_intcon				;01000000-   
			movwf		INTCON					;  
			movlw		init_com				;00000111- 
			movwf		CMCON
			movlw		init_adcon0				; 
			movwf		ADCON0
			clrf		T1CON				; 1
			clrf		PIR1				;
			banksel		OPTION_REG
			movlw		init_option
			movwf		OPTION_REG
			movlw		init_trisio
			movwf		TRISIO
			movlw		init_ansel
			movwf		ANSEL
			clrf		PIE1
			clrf		WPU
			clrf		IOCB
			clrf		VRCON
			banksel		GPIO
			clrf		GPIO
			return
;          inc
;  asma - include
;---------------------------------------------------------------------------------------
; 
;---------------------------------------------------------------------------------------
init_option		equ		B'01011000'		; 	 OPTION
init_intcon		equ		B'01000000'		;   
init_com		equ		b'00000111'
init_trisio		equ		b'00110100'
init_ansel		equ		b'00010100'
init_adcon0		equ		b'10001000'


;************************************
;**  *************************
;************************************
adc_on		macro
			banksel		ADCON0
			bsf			ADCON0,ADON
			endm
		

adc_off		macro
			banksel		ADCON0
			bcf			ADCON0,ADON
			ENDM

adc_go		macro
			banksel		ADCON0
			bsf			ADCON0,GO
			endm
gl_int_on	macro
			bsf			INTCON,GIE
			endm
gl_int_off	macro
			bcf			INTCON,GIE
			endm
timer_on	macro
			bsf			INTCON,T0IE
			endm
timer_off	macro
			bcf			INTCON,T0IE
			endm
adc_int_on	macro
			banksel		PIE1
			bsf			PIE1,ADIE
			endm
adc_int_off	macro
			banksel		PIE1
			bcf			PIE1,ADIE
			endm			